interface IColumnHeader {
  Header: string;
  accessor: string | ((row: any) => string);
  Cell?: (props: { value: any }) => JSX.Element | string;
}

type Columns = IColumnHeader[];

export const columnsDataBlocks: Columns = [
  {
    Header: "ID",
    accessor: "id",
  },
  {
    Header: "Name",
    accessor: "name",
  },
  {
    Header: "Description",
    accessor: "description",
  },
  {
    Header: "KYC Form",
    accessor: "kyc_form",
    Cell: ({ value }: { value: boolean }) => (value ? "Yes" : "No"),
  },
  {
    Header: "Consumer Form",
    accessor: "consumer_form",
    Cell: ({ value }: { value: boolean }) => (value ? "Yes" : "No"),
  },
  {
    Header: "DC Form",
    accessor: "dc_form",
    Cell: ({ value }: { value: boolean }) => (value ? "Yes" : "No"),
  },
];